API ドキュメント
WHOIS・RDAPドメイン検索APIのドキュメント。登録データ照会、ドメイン入力の解析、最近のドメイン閲覧に対応。
ドメイン検索
リクエストURL
GET https://whois.litelake.com/api/public/whois?domain={domain}パラメータ
| パラメータ | タイプ | 必須 | 説明 |
|---|---|---|---|
| domain | string | はい | 検索するドメイン名 (例: example.com) |
| force_refresh | boolean | いいえ | キャッシュされたデータを強制的に更新 |
レスポンス例
{
"code": 200,
"message": "Query successful",
"data": {
"domain": "example.com",
"tld": "com",
"registrar": "Example Registrar, Inc.",
"registry_domain_id": "123456789_DOMAIN_COM-VRSN",
"created_date": "1995-08-14T04:00:00Z",
"updated_date": "2023-08-14T04:00:00Z",
"expiry_date": "2024-08-13T04:00:00Z",
"status": ["clientTransferProhibited"],
"name_servers": ["ns1.example.com", "ns2.example.com"],
"query_count": 150,
"last_queried_at": "2024-03-05T12:34:56Z"
}
}エラーレスポンス
400 Bad Request
{
"code": 400,
"message": "Missing domain parameter"
}登録可能なドメインでない入力(サブドメイン、URL)は、修正候補 suggested_domain を含む 400 を返します:
{
"code": 400,
"message": "invalid registrable domain: www.example.com, did you mean: example.com?",
"data": {
"input": "www.example.com",
"suggested_domain": "example.com"
}
}404 Not Found
{
"code": 404,
"message": "Domain not found"
}429 Too Many Requests
{
"code": 429,
"message": "Rate limit exceeded, please try again later"
}500 Internal Server Error
{
"code": 500,
"message": "Query failed, please try again later"
}ドメイン入力の解析
URL、サブドメイン、IDN、大文字小文字が混在した入力など、あらゆる形式のドメイン入力を登録可能なドメインへ正規化します。サブドメインの入力は is_registrable: false とともに 200 を返し、IP アドレス、裸のパブリックサフィックス、解析できない入力のみが 400 を返します。
リクエストURL
GET https://whois.litelake.com/api/public/domain/parse?input={input}パラメータ
| パラメータ | タイプ | 必須 | 説明 |
|---|---|---|---|
| input | string | はい | URL、サブドメイン、IDN、大文字小文字の混在など、あらゆる形式の生のドメイン入力。正規化された登録可能なドメインを返します。 |
レスポンス例
{
"code": 200,
"message": "Parse successful",
"data": {
"input": "https://www.example.com/path?q=1",
"domain": "example.com",
"is_registrable": false
}
}エラーレスポンス
400 Bad Request
{
"code": 400,
"message": "IP query is not supported: 1.2.3.4",
"data": {
"input": "1.2.3.4"
}
}